<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MINI51DE_BSP: CLK_T Struct Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">MINI51DE_BSP<span id="projectnumber">&#160;V3.03.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51DE Series MCU</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle"><div class="title">CLK_T Struct Reference<div class="ingroups"><a class="el" href="../../dd/d47/group___m_i_n_i51___definitions.html">MINI51 Definitions</a></div></div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:gaf4e41a82d5c7f9ba62b91d557ef5761d"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#gaf4e41a82d5c7f9ba62b91d557ef5761d">PWRCON</a></td></tr>
<tr class="separator:gaf4e41a82d5c7f9ba62b91d557ef5761d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga91278c785d081e72e090c63624d05184"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga91278c785d081e72e090c63624d05184">AHBCLK</a></td></tr>
<tr class="separator:ga91278c785d081e72e090c63624d05184"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa6578e36d8280d7e3e71a60f440defc8"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#gaa6578e36d8280d7e3e71a60f440defc8">APBCLK</a></td></tr>
<tr class="separator:gaa6578e36d8280d7e3e71a60f440defc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga79dd7fb9025bba9d94db28e54fa4ad9f"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga79dd7fb9025bba9d94db28e54fa4ad9f">CLKSTATUS</a></td></tr>
<tr class="separator:ga79dd7fb9025bba9d94db28e54fa4ad9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga56cc9cc573d39acc7229c0a304e2fbde"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga56cc9cc573d39acc7229c0a304e2fbde">CLKSEL0</a></td></tr>
<tr class="separator:ga56cc9cc573d39acc7229c0a304e2fbde"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3a7a11873705bdb81268ad8ac2d6087f"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga3a7a11873705bdb81268ad8ac2d6087f">CLKSEL1</a></td></tr>
<tr class="separator:ga3a7a11873705bdb81268ad8ac2d6087f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga418aa082460b6ecffa1e00a3fce5c107"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga418aa082460b6ecffa1e00a3fce5c107">CLKDIV</a></td></tr>
<tr class="separator:ga418aa082460b6ecffa1e00a3fce5c107"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac38ba89e15ce9e37866aff665694b613"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#gac38ba89e15ce9e37866aff665694b613">CLKSEL2</a></td></tr>
<tr class="separator:gac38ba89e15ce9e37866aff665694b613"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae633c2dbb7cedd2fc7ea2b75d550fe22"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#gae633c2dbb7cedd2fc7ea2b75d550fe22">FRQDIV</a></td></tr>
<tr class="separator:gae633c2dbb7cedd2fc7ea2b75d550fe22"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">@addtogroup CLK System Clock Controller(CLK)
Memory Mapped Structure for CLK Controller
</pre> 
<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l00607">607</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>Device/Nuvoton/Mini51Series/Include/<a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 18:23:40 for MINI51DE_BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
